/*
 * Khoros: $Id$
 */

/*
 * $Log$
 */ 

/*
 * Copyright (C) 1993, 1994, 1995, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>                                                          <<<<
   >>>>       Purpose: Contains Print Fields for                 <<<<
   >>>>                UIS Line Deparsing                        <<<<
   >>>>                                                          <<<<
   >>>>    Written By: Danielle Argiro, Stephanie Hallett,       <<<<
   >>>>                Ron E. Neher                              <<<<
   >>>>                                                          <<<<
   >>>>          Date: Jul 16, 1992                              <<<<
   >>>>                                                          <<<<
   >>>> Modifications: Converted from Khoros 1.0 (DA)            <<<<
   >>>>                                                          <<<<
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _kforms_deparser_h_
#define _kforms_deparser_h_

        /*-------------------------------------*
        |       static variable declarations
        ---------------------------------------*/

static char 

/* -F @ % gs ps 'l' FormInfoName */
*startform_print = "-F %.1f %d %d %gx%g+%g+%g +%g+%g '%s' %s",

/* -S @ mutually_exclusive */
*startmaster_print = "-S %d %d",

/* -M @ gs ps 'l' SubformInfoName */
*startsubform_print = "-M %d %d %gx%g+%g+%g +%g+%g '%s' %s",

/* -D @ gs 'l' SubMenuInfoName */
*startsubmenu_print = "-D %d %d %gx%g+%g+%g '%s' %s",

/* -d @ % gs 'l' SubformInfoName */
*subformbutton_print ="-d %d %d %gx%g+%g+%g '%s' %s",

/* -n @ % gs 'l' 'des' v  */
*master_action_print = "-n %d %d %gx%g+%g+%g '%s' '%s' %s",
 

/*  -P @ gs ps 'l' PaneInfoName*/
*startpane_print = "-P %d %d %gx%g+%g+%g +%g+%g '%s' %s",


/*  -G % gs ps 'l'*/
*startguide_print = "-G %d %gx%g+%g+%g +%g+%g '%s'",

/* -g @ % gs 'l' PaneInfoName */
*guidebutton_print = "-g %d %d %gx%g+%g+%g '%s' %s",

/* -Q @ % gs 'l'*/
*quitform_print = "-Q %d %d %gx%g+%g+%g '%s'",


/* -m @ % gs 'l' 'des' v  */
*subform_action_print = "-m %d %d %gx%g+%g+%g '%s' '%s' %s",
 

/*  -H @ gs 'l' 'des' file_path  */
*help_print = "-H %d  %gx%g+%g+%g '%s' '%s' %s %s",


/* -I @ % * ! ? # gs 'def' 'l' 'des' v 'val' 'literal value' */
*input_print = "-I %d %d %d %d %d %d %gx%g+%g+%g '%s' '%s' '%s' %s '%s' '%s'",

/* -I @ % * ! ? # gs 'def' 'l' 'des' v */
*input_write = "-I %d %d %d %d %d %d %gx%g+%g+%g '%s' '%s' '%s' %s",


/*  -O @ % * ! # ? gs 'def' 'l' 'des' v 'val' 'literal value' */
*output_print = "-O %d %d %d %d %d %d %gx%g+%g+%g '%s' '%s' '%s' %s '%s' '%s'",

/*  -O @ % * ! # ? gs 'def' 'l' 'des' v */
*output_write = "-O %d %d %d %d %d %d %gx%g+%g+%g '%s' '%s' '%s' %s",


/* -i @ % * ! ? gs L U def mech incr 'l' 'des' v val 'literal value' */
*int_print = "-i %d %d %d %d %d %gx%g+%g+%g %d %d %d %d %d '%s' '%s' %s %d '%s'",
 
/* -i @ % * ! ? gs L U def mech incr 'l' 'des' v */
*int_write = "-i %d %d %d %d %d %gx%g+%g+%g %d %d %d %d %d '%s' '%s' %s",


/* -f @ % * ! ? gs L U def prec mech incr 'l' 'des' v val 'literal value' */
*float_print = "-f %d %d %d %d %d %gx%g+%g+%g %g %g %g %d %d %g '%s' '%s' %s %g '%s'",

/* -f @ % * ! ? gs L U def prec mech incr 'l' 'des' v */
*float_write = "-f %d %d %d %d %d %gx%g+%g+%g %g %g %g %d %d %g '%s' '%s' %s",

/* -h @ % * ! ? gs L U def prec mech incr 'l' 'des' v val 'literal value' */
*double_print = "-h %d %d %d %d %d %gx%g+%g+%g %lg %lg %lg %d %d %lg '%s' '%s' %s %g '%s'",

/* -h @ % * ! ? gs L U def prec mech incr 'l' 'des' v */
*double_write = "-h %d %d %d %d %d %gx%g+%g+%g %lg %lg %lg %d %d %lg '%s' '%s' %s",

/* -l @ % * ! ? gs def 'l' 'label0' 'label1' 'des' v val */
*logic_print = "-l %d %d %d %d %d %gx%g+%g+%g %d '%s' '%s' '%s' '%s' %s %d",

/* -l @ % * ! ? gs def 'l' 'label0' 'label1' 'des' v */
*logic_write = "-l %d %d %d %d %d %gx%g+%g+%g %d '%s' '%s' '%s' '%s' %s",

/* -t @ % * ! ? gs def 'l' 'des' v */
*flag_print = "-t %d %d %d %d %d %gx%g+%g+%g '%s' '%s' %s",

/* -t @ % * ! ? gs def 'l' 'des' v */
*flag_write = "-t %d %d %d %d %d %gx%g+%g+%g '%s' '%s' %s",

/* -s @ % * ! ? gs 'def' 'l' 'des' v 'val' 'literal value' */
*string_print = "-s %d %d %d %d %d %gx%g+%g+%g '%s' '%s' '%s' %s '%s' '%s'",

/* -s @ % * ! ? gs 'def' 'l' 'des' v */
*string_write = "-s %d %d %d %d %d %gx%g+%g+%g '%s' '%s' '%s' %s",

/* -y @ % * ! ? gs num def 'l' 'des' v */
*stringlist_print = "-y %d %d %d %d %d %gx%g+%g+%g %d %d '%s' '%s' %s",

/* -c @ % * ! ? gs num start def 'l' 'des' v */
*cycle_print = "-c %d %d %d %d %d %gx%g+%g+%g %d %d %d '%s' '%s' %s",

/* -x @ % * ! ? gs num start def 'l' 'des' v */
*list_print = "-x %d %d %d %d %d %gx%g+%g+%g %d %d %d '%s' '%s' %s",

/* -z @ % * ! ? gs num start def dblclick 'l' 'des' v */
*displaylist_print = "-z %d %d %d %d %d %gx%g+%g+%g %d %d %d %d '%s' '%s' %s",

/* -R @ gs 'l' 'des' com */
*routine_print = "-R %d %d %d %gx%g+%g+%g '%s' '%s' %s",

/*  -T @ % * ! ? gs ps def  'l' 'des' v val */
*toggle_print = "-T %d %d %d %d %d %gx%g+%g+%g +%g+%g %d '%s' '%s' %s %d ",

/*  -T @ % * ! ? gs ps def  'l' 'des' v */
*toggle_write = "-T %d %d %d %d %d %gx%g+%g+%g +%g+%g %d '%s' '%s' %s",

/* -b ps 'l' v */
*blank_print = "-b +%g+%g '%s' %s",

/* -e ps 'l' v */
*stdin_print = "-e %d %d %d +%g+%g '%s' %s '%s'",

/* -e ps 'l' v */
*stdin_write = "-e %d %d %d +%g+%g '%s' %s",

/* -o ps 'l' v */
*stdout_print = "-o %d %d %d +%g+%g '%s' %s '%s'",

/* -o ps 'l' v */
*stdout_write = "-o %d %d %d +%g+%g '%s' %s",

/* -a @ % gs 'l' 'des' v */
*pane_action_print = "-a %d %d %gx%g+%g+%g '%s' '%s' %s",

/* -p filename */
*includepane_print = "-p %s",

/* -k filename */
*includesubform_print = "-k %s",

/* -w gs 'des' v val */
*workspace_print = "-w %gx%g+%g+%g '%s' %s %ld",

/* -w gs 'des' v val */
*workspace_write = "-w %gx%g+%g+%g '%s' %s";

#endif /* _kforms_deparser_h_ */
/* Don't add after this line */
