 /*
  * Khoros: $Id$
  */

 /*
  * $Log$
  */

/*
 * Copyright (C) 1993, 1994, 1995, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose: #defines and #includes for creating a
   >>>>		       graphical string-value annotation.
   >>>>
   >>>>    Written By: John Salas and Mark Young
   >>>>
   >>>>          Date: Aug 05, 1992 14:53
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _xvisual_StringValue_h_
#define _xvisual_StringValue_h_

	/*-------------------------------------*
	|       #defines 
	---------------------------------------*/

/*
 *  Attribute definitions for String Value Visual Object
 */

/*------------------------------------------------------------------------
| Attribute:     XVW_STRING_VALUE
| Description:   This is the numerical value to display.
| Type:          double
| Default:       KMAXFLOAT
| Legal Values:  any double value
| Resource:      N/A
------------------------------------------------------------------------*/
#define XVW_STRING_VALUE	 "stringValue"

/*------------------------------------------------------------------------
| Attribute:     XVW_STRING_FORMAT
| Description:   .include $DESIGN/manual/shared/xvisual/stringvalue/Format.sec
| Type:          char *
| Default:       "%g"
| Legal Values:  see description
| Resource:      stringFormat
------------------------------------------------------------------------*/
#define XVW_STRING_FORMAT	 "stringFormat"

/*
 *  Define the Class name, by which people should be externally referencing
 *  the StringValue Object by.
 */
#define StringValueGadgetClass	xvwStringValueGadgetClass

	/*-------------------------------------*
	|       global variable declarations
	---------------------------------------*/

/*
 *  XToolkit Widget Declaration for StringValueGadgetClass
 */
extern   WidgetClass     StringValueGadgetClass;


	/*-------------------------------------*
	|       routine definitions
	---------------------------------------*/

/*
 *  Function definitions for String Value Visual Object
 */
xvobject xvw_create_stringvalue PROTO((xvobject, char *));


#endif /* _xvisual_StringValue_h_ */
/* Don't add after this point */
