 /*
  * Khoros: $Id$
  */

 /*
  * $Log$
  */

/*
 * Copyright (C) 1993, 1994, 1995, Khoral Research, Inc., ("KRI").
 * All rights reserved.  See $BOOTSTRAP/repos/license/License or run klicense.
 */


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<<
   >>>>
   >>>>       Purpose: Private declarations for the graphical
   >>>>		       timer annotation.
   >>>>
   >>>>    Written By: Mark Young
   >>>>
   >>>>          Date: Oct 23, 1993
   >>>>
   >>>> Modifications:
   >>>>
   >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> <<<<<<<<<<<<<<<<<<<<<<<<<< */

#ifndef _xvisual_TimerP_h_
#define _xvisual_TimerP_h_


    /*-------------------------------------*
    |       #include 
    ---------------------------------------*/

#include <xvisual/StringValueP.h>
#include <xvisual/Timer.h>

    /*-------------------------------------*
    |       typedefs
    ---------------------------------------*/

typedef struct _XvwTimerGadgetClassPart
{
    XtPointer  extension;
} XvwTimerGadgetClassPart;

typedef struct _XvwTimerGadgetClassRec
{
    RectObjClassPart		  rect_class;
    XvwManagerGadgetClassPart     manager_class;
    XvwGraphicsGadgetClassPart    graphics_class;
    XvwStringGadgetClassPart      string_class;
    XvwStringValueGadgetClassPart stringvalue_class;
    XvwTimerGadgetClassPart       timer_class;
} XvwTimerGadgetClassRec;


typedef struct
{
    double       update_time;
    double       counter;
    XtIntervalId time_id;   /* Time interval Id for the XtTimeout */
} XvwTimerPart;


typedef struct _XvwTimerGadgetRec
{
    ObjectPart	   	object;
    RectObjPart     	rectobj;
    XvwManagerObjPart	manager;
    XvwGraphicsPart	graphics;
    XvwStringPart  	string;
    XvwStringValuePart  stringvalue;
    XvwTimerPart	timer;
} XvwTimerGadgetRec;


typedef struct  _XvwTimerGadgetClassRec     *XvwTimerGadgetClass;
typedef struct  _XvwTimerGadgetRec          *XvwTimerGadget;


    /*-------------------------------------*
    |       global variable declarations
    ---------------------------------------*/

/*
 *  XToolkit Widget Declaration XvwTimerGadget
 */
extern XvwTimerGadgetClassRec xvwTimerGadgetClassRec;


#endif /* _xvisual_TimerP_h_ */
/* Don't add after this point */
